Page MenuHomePhabricator

extensions: suppress a pytype failure due to a typeshed bug
ClosedPublic

Authored by durin42 on Nov 14 2019, 4:10 PM.

Details

Summary

Bug filed upstream, suppress the failure here so we can move on.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

durin42 created this revision.Nov 14 2019, 4:10 PM
dlax accepted this revision.Nov 15 2019, 9:02 AM
dlax added a subscriber: dlax.
dlax added inline comments.
mercurial/extensions.py
96

the doc indeed says that "fd" is file object

dlax added inline comments.Nov 15 2019, 9:46 AM
mercurial/extensions.py
96
durin42 retitled this revision from extensions: suppress a strange pytype failure to extensions: suppress a pytype failure due to a typeshed bug.Nov 15 2019, 11:32 AM
durin42 edited the summary of this revision. (Show Details)
durin42 updated this revision to Diff 18159.
indygreg accepted this revision.Nov 18 2019, 10:46 PM
This revision is now accepted and ready to land.Nov 18 2019, 10:46 PM